//=====================================================================//
//                                                                     //
//  ե̾ : ImageTools.h                                          //
//         : PGM (Portable GrayMap)Υǡ˥ץߥƥ֤    //
//               ޷ؿ                              //
//       : 2004. 2. 12 ¼  (Computer Graphics Lab.)        //
//               2013. 9. 5   (Computer Vision Lab.)             //
//                                                                     //
//=====================================================================//
#ifndef _IMAGETOOLS_H_
#define _IMAGETOOLS_H_

//-----------------------------------------------------------------------//
// void DrawStraightLine(int * piImageData,                              //
//                       int iWidth, int iHeight, int iMaxValue,         //
//                       int iStartX, int iStartY, int iEndX, int iEndY, //
//                       int STYLE, int iBW)                             //
//         : PGMΥǡľ                             //
//       : 2004. 2. 12 ¼  (Computer Graphics Lab.)          //
//               2013. 9. 5   (Computer Vision Lab.)               //
//                                                                       //
// []                                                                //
// piImageData :ϡľPGMΥǡ                      //
// iWidth      :ϡľPGMΥǡʲǿ        //
// iHeight     :ϡľPGMΥǡι⤵ʲǿ      //
// iMaxValue   :ϡľPGMΥǡβǤκ        //
// iStartX     :ϡľλ X ɸ                              //
// iStartY     :ϡľλ Y ɸ                              //
// iEndX       :ϡľν X ɸ                              //
// iEndY       :ϡľν Y ɸ                              //
// iSTYLE      :ϡľοSOLIDDASHED ޤ DOTTED            //
// iBW         :ϡľοBLACKLINE ޤ WHITELINE             //
//-----------------------------------------------------------------------//
enum lineStype {SOLID, DASHED, DOTTED};
enum lineBW {BLACKLINE, WHITELINE};
void DrawStraightLine(int * piImageData,
		      int iWidth, int iHeight, int iMaxValue,
		      int iStartX, int iStartY, int iEndX, int iEndY,
		      int iSTYLE, int iBW);

//-----------------------------------------------------------------------//
// void Histogram1D(int * piHistData, int iNumHistData,                  //
//                  int iNumBin, int iMinBin, int iMaxBin, int iGRID)    //
//                                                                       //
//     : ҥȥ                                          //
//   : 2004. 2. 13 ¼  (Computer Graphics Lab.)              //
//           2013. 9. 5   (Computer Vision Lab.)                   //
//                                                                       //
// []                                                                //
// piHistData   :ϡ˥ҥȥߥ󥰤ǡ                      //
// iNumHistData :ϡ˥ҥȥߥ󥰤ǡ                    //
// iNumBin      :ϡ˥ӥ                                          //
// iMinBin      :ϡ˥ӥκǾ                                    //
// iMaxBin      :ϡ˥ӥκ                                    //
// iGRID         :ϡ˥åɤ̵ͭ (GRID, NOGRID, XGRID, YGRID)    //
//-----------------------------------------------------------------------//
#define NOGRID 0
#define GRID   1
#define XGRID  2
#define YGRID  3
void Histogram1D(int * piHistData, int iNumHistData,
		 int iNumBin, int iMinBin, int iMaxBin, int iGRID);


#endif
